﻿/* ---------------------------------------------------------------------------------------------------------------------
 * Copyright (c) AUMA Riester GmbH & Co. KG (2013). All Rights Reserved 
 * Target System: SIMATIC PDM 
 * --------------------------------------------------------------------------------------------------------------------- 
 * Imported data: 
 * Name....................: Doors Export P70 
 * DeviceId................: unknown 
 * DeviceName..............: SGM/C 
 * Description.............: Baseline: 1.75, BudingV, 08/02/12 10:14:08, SGx Version 01.05.01 
 * Fehler in der Datendefinition behoben (Sammelview 47 doppelt) 
 * RequestedFirmwareVersion: 0.23 
 * SchemaVersion...........: 12.00 
 * Timestamp...............: 02.08.2012 10:34:55 
 * Version.................: 01.75 
 * Author..................: Viktor Buding 
 * --------------------------------------------------------------------------------------------------------------------- 
 * Generated 12.04.2013 10:13:21 by EDD-Generator Version 01.00.13.01 
 * Selected root menu: Hauptmenü 
 * (c) Sipos Aktorik GmbH (Mathias Monse <mathias.monse@sipos.de>) 
 * ---------------------------------------------------------------------------------------------------------------------
 */
 
/* ---------------------------------------------------------------------------------------------------------------------
 * EDD Ident information
 * ---------------------------------------------------------------------------------------------------------------------
 */
MANUFACTURER     0x013F,
DEVICE_TYPE      0x0C77,
DEVICE_REVISION  1,
DD_REVISION      1
 
#ifdef _PDM_
#include "Diagnosis.inc"
#endif /* _PDM_ */

/* ---------------------------------------------------------------------------------------------------------------------
 * EDD Constants and macros
 * ---------------------------------------------------------------------------------------------------------------------
 */
#include "SxC_def.inc"

/* Byte length of BOOL data type */
#define TYPE_BOOL_LEN 4
/* Byte length of EWC data type */
#define TYPE_EWC_LEN  4

/* ---------------------------------------------------------------------------------------------------------------------
 * I&M record
 * ---------------------------------------------------------------------------------------------------------------------
 */
#include "pa_iandm.inc"

/* --------------------------------------------------------------------------------------------------------------------
 *  Process channels and user parameters
 */ 
#include "SxCv0105_PV.inc"

/* ---------------------------------------------------------------------------------------------------------------------
 * EDD Check ident functionality
 * ---------------------------------------------------------------------------------------------------------------------
 */
#define DEVICE_IDENT   0x0C77   /* 0x0AC2: AC2_(1|2), 0x0C4F: AC2_1, 0x0CBD: AC2_2, 0x0C77: SXX */
#define DEVICE_VERSION_MAJ   1  /* 99: Base version */
#define DEVICE_VERSION_MIN   5  
#include "SxC_Check.inc"

/* ---------------------------------------------------------------------------------------------------------------------
 * Base EDD with variables and menus (all root menus etc.), for device version 01.05
 * ---------------------------------------------------------------------------------------------------------------------
 */
#include "SxCv0105.inc" 

/* --------------------------------------------------------------------------------------------------------------------- */
/* End of file */
/* --------------------------------------------------------------------------------------------------------------------- */
